<?php

class Application_Form_Signup extends Zend_Form
{
    public $processed = false;

    public function init()
    {
        $this->addElement('text', 'name', array(
            'label' => 'Name',
            'required' => true,
            'validators' => array(
                array('StringLength', false, array('max'=>75)),
            ),
        ));
        $this->addElement('text', 'email', array(
            'label' => 'Email',
            'required' => true,
            'validators' => array(
                array('StringLength', false, array('max'=>150)),
                'EmailAddress',
            ),
        ));
        $this->addElement('submit', 'submit-signup', array(
            'label' => 'Sign up',
        ));
    }

}

